import type { UmbDocumentCollectionItemModel } from './types.js';
import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbEntityCollectionItemElement } from '../../../../core/collection/index.js';
export declare class UmbDocumentCollectionItemCardElement extends UmbLitElement implements UmbEntityCollectionItemElement {
    #private;
    get item(): UmbDocumentCollectionItemModel | undefined;
    set item(value: UmbDocumentCollectionItemModel | undefined);
    selectable: boolean;
    selected: boolean;
    selectOnly: boolean;
    disabled: boolean;
    href?: string;
    private _name?;
    private _state?;
    private _createDate?;
    private _updateDate?;
    private _userDefinedProperties?;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbDocumentCollectionItemCardElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-collection-item-card': UmbDocumentCollectionItemCardElement;
    }
}
